Bug 1287025 - Create snapshot fails when one of the vm's disks is located on domain in maintenance
Create snapshot fails when one of the vm's disks is located on domain in main...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.0.3
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Fred Rolland
Raz Tamir
: Automation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 06:08 EST by Fred Rolland
Modified: 2016-02-18 06:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1282957
Environment:
Last Closed: 2016-02-18 06:07:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
amureini: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49446 master MERGED engine: Storage validation in LSM flow Never
oVirt gerrit 49953 ovirt-engine-3.6 MERGED engine: Storage validation in LSM flow Never

  None (edit)
Description Fred Rolland 2015-12-01 06:08:27 EST
Description of problem:
When trying to create a snapshot to one of the vm's disk, and other disk is located on storage domain in maintenance, the CanDoAction fails even though the user selected only the first disk.


Version-Release number of selected component (if applicable):
ovirt 3.6.0.2

How reproducible:
100%

Steps to Reproduce:
Setup with 2 storage domains (NFS in my case), vm + 1 bootable disk.
2 more disks attached to the vm and each on different storage domain:
disk1 on nfs_sd1 and disk2 on nfs_sd2
1. Deactivate disk2 disk and maintenance nfs_sd2
2. Create snapshot and select only disk1


Actual results:
A error appears, that one of the storage domain is in maintenance


Expected results:
Snapshot should work
Comment 1 Red Hat Bugzilla Rules Engine 2015-12-01 06:08:31 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Sandro Bonazzola 2015-12-23 08:43:11 EST
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA
Comment 3 Raz Tamir 2015-12-29 11:38:51 EST
Verified on 
rhevm-3.6.2-0.1.el6.noarch
vdsm-4.17.15-0.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.